Bug 1315692 - dependency errors due to libcec
dependency errors due to libcec
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: platform (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mohamed El Morabity
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-08 07:26 EST by Charles R. Anderson
Modified: 2016-05-07 07:50 EDT (History)
2 users (show)

See Also:
Fixed In Version: platform-2.0.1-2.fc23 platform-2.0.1-2.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-05 10:54:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles R. Anderson 2016-03-08 07:26:17 EST
Description of problem:

Can't update to platform-2.0.1-1.fc23 due to dep errors.

Version-Release number of selected component (if applicable):
platform-2.0.1-1.fc23

How reproducible:
always

Steps to Reproduce:
1. dnf -vvvv -d9 --best --allowerasing --debugsolver update platform
2.
3.

Actual results:
--> Starting dependency resolution
---> Package libcec.x86_64 3.0.1-1.fc23 will be downgraded
---> Package libcec.x86_64 2.2.0-3.fc23 will be a downgrade
---> Package platform.x86_64 1.0.10-4.fc23 will be upgraded
---> Package platform.x86_64 2.0.1-1.fc23 will be an upgrade
---> Package kodi.x86_64 16.0-1.fc23 will be erased
--> Finished dependency resolution
Dependencies resolved.
============================================================================================================================
 Package                Arch                 Version                    Repository                                     Size
============================================================================================================================
Upgrading:
 platform               x86_64               2.0.1-1.fc23               updates-testing                                32 k
Removing:
 kodi                   x86_64               16.0-1.fc23                @rpmfusion-free-updates-testing                38 M
Downgrading:
 libcec                 x86_64               2.2.0-3.fc23               fedora                                        223 k

Transaction Summary
============================================================================================================================
Upgrade    1 Package
Remove     1 Package
Downgrade  1 Package

Total download size: 256 k
Is this ok [y/N]: 


Expected results:
Does libcec need a rebuild/update?

Additional info:
Comment 1 Sergio Monteiro Basto 2016-04-16 18:44:33 EDT
platform of           updates-testing       is not good use install platform of updates repo, platform-1.0.10-4.fc23.x86_64, i.e 

dnf --disablerepo=updates-testing install kodi
Comment 2 Fedora Update System 2016-04-26 17:11:20 EDT
libcec-3.1.0-1.fc24 platform-2.0.1-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2ef80d071f
Comment 3 Fedora Update System 2016-04-26 17:11:35 EDT
libcec-3.1.0-1.fc23 platform-2.0.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6df9fc457b
Comment 4 Fedora Update System 2016-04-27 13:51:01 EDT
libcec-3.1.0-1.fc24, platform-2.0.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2ef80d071f
Comment 5 Fedora Update System 2016-04-27 22:32:01 EDT
libcec-3.1.0-1.fc23, platform-2.0.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6df9fc457b
Comment 6 Fedora Update System 2016-05-05 10:54:42 EDT
libcec-3.1.0-1.fc23, platform-2.0.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2016-05-07 07:50:18 EDT
libcec-3.1.0-1.fc24, platform-2.0.1-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.